<template>
  <v-container>
    <v-form markRaw="filterForm" fast-fail @submit.prevent="submitForm" class="custom">
      <v-row>

        <v-col cols="6" md="3">
          <div class="custom-label">UWY</div><br>
          <v-combobox class="custom-combobox" v-model="selectedYear" :items="years" variant="outlined"></v-combobox>
          <div class="custom-label">Trete</div><br>
          <v-combobox class="custom-combobox" v-model="selectedTrete" :items="trete" variant="outlined"></v-combobox>
        </v-col>

        <v-col cols="6" md="3">
          <div class="custom-label">Reasuror:</div>
          <v-combobox class="custom-combobox" v-model="selectedReasuror" :items="reasuror"
            variant="outlined"></v-combobox>
        </v-col>

      </v-row>
      <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">
          <custom-button style="width: 120px;margin-left: 10px" color="primary" size="medium" @click="submitForm"
            val="Getir" />
        </v-col>
      </v-row>
    </v-form>
  </v-container>
</template>

<script>
import axios from 'axios';
import { ref } from 'vue';
import CustomButton from '@/components/custom-controller/CustomButton.vue';
export default {
  components: {
    CustomButton,
  },
  setup() {
    const years = Array.from({ length: 101 }, (_, index) => 1960 + index);
    const selectedYear = ref('');
    const trete = ref(['trete', 'trete', 'trete', 'trete', 'trete', 'trete', 'trete']);
    const reasuror = ref(['resuror', 'resuror', 'resuror', 'resuror', 'resuror', 'treresurorte', 'resuror']);
    const selectedTrete = ref('');
    const selectedReasuror = ref('');

    const submitForm = async () => {
      const data = {
        currentYear: selectedYear.value,
        selectedTrete: selectedTrete.value,
        selectedReasuror: selectedReasuror.value
      };

      try {
        const response = await axios.post('https://api.example.com/endpoint', data);
        console.log(response.data);
      } catch (error) {
        console.error(error);
      }
    };

    return {
      years,
      selectedYear,
      trete,
      reasuror,
      selectedTrete,
      selectedReasuror,
      submitForm
    };
  }
}
</script>

<style scoped></style>
